### Method

# Gtk WindowControlsset_decoration_layout

#### Declaration [src]

    void
    gtk_window_controls_set_decoration_layout (
      GtkWindowControls* self,
      const char* layout
    )

#### Description [src]

Sets the decoration layout for the title buttons.

This overrides the `GtkSettings:gtk-decoration-layout` setting.

The format of the string is button names, separated by commas. A colon separates the buttons that should appear on the left from those on the right. Recognized button names are minimize, maximize, close and icon (the window icon).

For example, “icon:minimize,maximize,close” specifies a icon on the left, and minimize, maximize and close buttons on the right.

If `GtkWindowControls:side` value is `GTK_PACK_START`, `self` will display the part before the colon, otherwise after that.

Sets property | `Gtk.WindowControls:decoration-layout`

#### Parameters

`layout`

  Type: `const char*`

  A decoration layout, or `NULL` to unset the layout.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.